Skip to main content
`Ctrl`+`K`

# STSetShift

Sets the shift associated with the spectral transformation.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STSetShift(ST st,PetscScalar shift)

Collective

## Input Parameters

- st - the spectral transformation context

- shift - the value of the shift

## Notes

In some spectral transformations, changing the shift may have associated a lot of work, for example recomputing a factorization.

This function is normally not directly called by users, since the shift is indirectly set by `EPSSetTarget()`.

## See Also

ST: Spectral Transformation, `EPSSetTarget()`, `STGetShift()`, `STSetDefaultShift()`

## Level

intermediate

## Location

src/sys/classes/st/interface/stfunc.c

## Implementations

STSetShift_Cayley() in src/sys/classes/st/impls/cayley/cayley.c
STSetShift_Precond() in src/sys/classes/st/impls/precond/precond.c
STSetShift_Shift() in src/sys/classes/st/impls/shift/shift.c
STSetShift_Sinvert() in src/sys/classes/st/impls/sinvert/sinvert.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages